Bug 1977595 - pseudo translation missing on OperatorHub page
Summary: pseudo translation missing on OperatorHub page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
: 1983046 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-30 07:15 UTC by Yadan Pei
Modified: 2021-10-18 17:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:37:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
pesudo translation missing on OperatorHub page (793.45 KB, image/png)
2021-06-30 07:15 UTC, Yadan Pei
no flags Details
pesudo translation on OperatorHub page (458.75 KB, image/png)
2021-07-12 07:32 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9450 0 None open Bug 1977595: pseudo translation missing on OperatorHub page 2021-07-08 19:44:44 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:37:38 UTC

Description Yadan Pei 2021-06-30 07:15:39 UTC
Created attachment 1796118 [details]
pesudo translation missing on OperatorHub page

Description of problem:
some strings on OperatorHub page are not pesudo translated

Version-Release number of selected component (if applicable):
    4.9.0-0.nightly-2021-06-29-114024

How reproducible:
Always

Steps to Reproduce:
1. visit OperatorHub with pesudo translation on ?pseudolocalization=true&lng=en
2. check pesudo translations
3.

Actual results:
2. some strings not coming from API are not pesudo translated, for example
- text 'All Items', 'N times' 'Filter by keyword'
- text 'Install state', 'Installed', 'Not Installed'

Expected results:
2. these strings should be translated

Additional info:

Comment 2 Yadan Pei 2021-07-12 07:32:07 UTC
Created attachment 1800678 [details]
pesudo translation on OperatorHub page

Now the strings which are not coming from API are pesudo translated, for example
- All Items, N items
- Filter by keyword
- Source, Provider, Install State(Installed, Not Installed), Capability Level, Infrastructure Features 

Verified on     4.9.0-0.nightly-2021-07-10-081034

Comment 3 Robb Hamilton 2021-07-16 12:42:22 UTC
*** Bug 1983046 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2021-10-18 17:37:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.